ScarfParams Class Reference

`#include <ScarfParams.h>`

Inheritance diagram for ScarfParams:

## Public Member Functions

| ScarfParams (CliParams &cli)
bool | getDeformToStronglyGeneric () const
| Returns true if deforming to a strongly generic ideal.
void | setDeformToStronglyGeneric (bool value)
const string & | getEnumerationOrder () const
| Returns the name of the enumeration ordering.
void | setEnumerationOrder (const string &name)
const string & | getDeformationOrder () const
| Returns the name of the deformation ordering.
void | setDeformationOrder (const string &name)
Public Member Functions inherited from CommonParams
| CommonParams ()
bool | getIdealIsMinimal () const
| Returns whether the input ideal is known to be minimally generated.
void | idealIsMinimal (bool value)
bool | getPrintActions () const
| Returns whether to print and time the large-scale actions that Frobby performs.
void | printActions (bool value)
const string & | getInputFormat () const
| Returns the format used for parsing input.
void | setInputFormat (const string &value)
const string & | getOutputFormat () const
| Returns the format in which output is produced.
void | setOutputFormat (const string &value)
bool | getProduceCanonicalOutput () const
| Returns whether to produce output in a canonical representation.
void | produceCanonicalOutput (bool value)
bool | getPrintDebug () const
| Returns whether to print information about what the algorithm is doing to standard error as it runs.
void | printDebug (bool value)
bool | getPrintStatistics () const
| Returns whether to print statistics on what the algorithm did to standard error after it has run.
void | printStatistics (bool value)

## Private Attributes

bool | _deformStrong
string | _enumerationOrder
string | _deformationOrder

## Detailed Description

Definition at line 27 of file ScarfParams.h.

## Constructor & Destructor Documentation

## ScarfParams()

ScarfParams::ScarfParams | ( | CliParams & | cli | ) |

Definition at line 36 of file ScarfParams.cpp.

## Member Function Documentation

## getDeformationOrder()

const string & ScarfParams::getDeformationOrder | ( |  | ) | const

inline

Returns the name of the deformation ordering.

Definition at line 41 of file ScarfParams.h.

## getDeformToStronglyGeneric()

bool ScarfParams::getDeformToStronglyGeneric | ( |  | ) | const

inline

Returns true if deforming to a strongly generic ideal.

Returns false otherwise.

Definition at line 33 of file ScarfParams.h.

## getEnumerationOrder()

const string & ScarfParams::getEnumerationOrder | ( |  | ) | const

inline

Returns the name of the enumeration ordering.

Definition at line 37 of file ScarfParams.h.

## setDeformationOrder()

void ScarfParams::setDeformationOrder | ( | const string & | name | ) |

inline

Definition at line 42 of file ScarfParams.h.

## setDeformToStronglyGeneric()

void ScarfParams::setDeformToStronglyGeneric | ( | bool | value | ) |

inline

Definition at line 34 of file ScarfParams.h.

## setEnumerationOrder()

void ScarfParams::setEnumerationOrder | ( | const string & | name | ) |

inline

Definition at line 38 of file ScarfParams.h.

## Member Data Documentation

## _deformationOrder

string ScarfParams::_deformationOrder

private

Definition at line 47 of file ScarfParams.h.

## _deformStrong

bool ScarfParams::_deformStrong

private

Definition at line 45 of file ScarfParams.h.

## _enumerationOrder

string ScarfParams::_enumerationOrder

private

Definition at line 46 of file ScarfParams.h.

The documentation for this class was generated from the following files:

- src/ScarfParams.h
- src/ScarfParams.cpp